%define aurox_ver 9.3
%define rel 1


%define version 0.9.6

%define	desktop_vendor	aurox
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)
%define poname rosegarden

Summary:      Midi, audio and notation editor
Name:         rosegarden4
Version:      %{version}
Release: %{aurox_ver}.aur.%{rel}
URL:          http://www.all-day-breakfast.com/rosegarden/
Source0:      rosegarden-4-%{version}.tar.gz
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Obsoletes:    rosegarden
Obsoletes:    rosegarden-4
#BuildRequires: alsa-lib-devel kdelibs-devel
BuildRequires: arts-devel kdelibs-devel

%description
Rosegarden-4 is an attractive, user-friendly MIDI and audio sequencer,
notation editor, and general-purpose music composition and editing
application for Unix and Linux

%prep
%setup -q -n rosegarden-4-%{version}

%build
%configure --with-arts
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# redhat menus
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=Rosegarden-4
Comment=Midi, audio and notation editor
Icon=rosegarden.xpm
Exec=%{_bindir}/rosegarden
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Aurox-Extra                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/System
  cp %{desktop_vendor}-%{name}.desktop \
     %{buildroot}%{_sysconfdir}/X11/applnk/System/%{desktop_vendor}-%{name}.desktop
%endif

# rename the resulting binaries in 7.3... sigh...
if [ -e "$RPM_BUILD_ROOT%{_bindir}/i386-redhat-linux-rosegarden" ] ; then
  mv $RPM_BUILD_ROOT%{_bindir}/i386-redhat-linux-rosegarden $RPM_BUILD_ROOT%{_bindir}/rosegarden
  mv $RPM_BUILD_ROOT%{_bindir}/i386-redhat-linux-rosegardensequencer $RPM_BUILD_ROOT%{_bindir}/rosegardensequencer
fi

rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/rosegarden.desktop
%find_lang %poname

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{poname}.lang
%defattr(-,root,root)
%{_bindir}/*rosegarden*
%{_libdir}/libRose*
%{_datadir}/apps/rosegarden
%{_datadir}/doc/HTML/en/rosegarden
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/System/%{desktop_vendor}-%{name}.desktop
%endif
%{_datadir}/icons/*/*/apps/*.xpm
%{_datadir}/mimelnk/audio/x-rosegarden.desktop
%{_datadir}/mimelnk/audio/x-rosegarden21.desktop
 
%changelog
* Thu Mar 04 2004 Aurox Team <aurox@aurox.org> 0:0.9.6-9.3.aur.1
- update file list
- app post, postun ldconfigs
- build with arts, no alsa, no jack etc.
- build without jack
- initial import

* Mon Jan 12 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.6-1
- updated to 0.9.6
* Fri Dec  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.5-2
- fix binary names in 7.3
* Fri Nov 28 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.5-1
- updated to 0.9.5
* Tue Nov 18 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- added patch2, fixes const bug under gcc 3.3.2 (FC1)
* Mon Nov 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- added release tags, spec file tweaks
* Mon Jun 16 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- fixed AlsaDriver.h to work around a jack issue
* Thu Jun  5 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.1-1
- updated to 0.9.1
* Mon May 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9-1
- updated to 0.9
- added locale files in file list
* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.5-2
- rebuild for jack 0.66.3
* Wed Dec 18 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.8.5-1
- changed name to rosegarden, anaconda does not like the current name
  (anaconda should be fixed, name is legal)
- update to 0.8.5
* Sun Nov 10 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.8-2
- changed name of package to rosegarden-4 (what was I thinking?...)
- added patch to rename jack alsa ports for jack >= 0.40
- added explicit dependency to jack
- added redhat menu entry
* Fri Oct 18 2002 Fernando Lopez Lezcano <nando@ccrma.stanford.edu>
- Initial build.


